#!/bin/bash
#
# Simple scrip to assist with mounting a crypted filesystem
# Assumes an fstab entry already exists

scriptname=$(basename $0)
dev=$1

set -eu

if [ "${dev}" = "" ]; then
    echo "Usage: ${scriptname} <device>"
    echo "e.g. ${scriptname} vdc"
    exit 1
fi

cryptsetup open --type luks /dev/${dev} ${dev}
mount /dev/mapper/${dev}
exit 0
